Home

Get Blocks

GET
https://ton-index.nownodes.io/api/v3/blocks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns blocks by specified filters.

Parameters

workchainintegerquery

Block workchain.

shardstringquery

Block shard id. Must be sent with workchain. Example: 8000000000000000

seqnointegerquery

Block block seqno. Must be sent with workchain and shard.

start_utimeintegerquery

Query blocks with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query blocks with generation UTC timestamp before given timestamp

start_ltintegerquery

Query blocks with lt >= start_lt

end_ltintegerquery

Query blocks with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort results by UTC timestamp.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error